/* -*- Emacs Mode: C++ -*- */

/*	listlink.h - ListLink Class header (linked list of linked lists)

	Copyright (C) 1989, Integrity Software
	Author: Isaac J. Salzman (salzman@rand.org)

	This software may be freely used/modified/distributed
	as desired so long as this copyright notice remains
	in tact.
*/

/*
 *------------------------------------------------------------------
 * $Header: /tmp_mnt/amnt/lh/salzman/src/class/RCS/listlink.h,v 1.1 89/09/17 15:01:34 salzman Exp Locker: salzman $
 *------------------------------------------------------------------
 * $Log:	listlink.h,v $
 * Revision 1.1  89/09/17  15:01:34  salzman
 * Initial revision
 * 
*/

#ifndef _H_listlink
#define _H_listlink

#include "strlink.h"


class ListLink : INHERIT_PUBLIC StrLink
{
PRIVATE
	Link *list;
	
PUBLIC	
	DECL_INIT(ListLink)(char *, Link *);
	DECL_DEST(ListLink)(void);
	void showval(void);
	void lookup(char *); /* uses find -- searches each sublist */
};

#endif
