/* -*- Emacs Mode: C++ -*- */

/*	intlink.h - IntLink Class header (linked list of integers)

	Copyright (C) 1989, Integrity Software
	Author: Isaac J. Salzman (salzman@rand.org)

	This software may be freely used/modified/distributed
	as desired so long as this copyright notice remains
	in tact.
*/

/*
 *------------------------------------------------------------------
 * $Header: /tmp_mnt/amnt/lh/salzman/src/class/RCS/intlink.h,v 1.1 89/09/17 15:01:37 salzman Exp Locker: salzman $
 *------------------------------------------------------------------
 * $Log:	intlink.h,v $
 * Revision 1.1  89/09/17  15:01:37  salzman
 * Initial revision
 * 
 */

#ifndef _H_intlink
#define _H_intlink

#include "link.h"

class IntLink : INHERIT_PUBLIC Link
{
PRIVATE
        int ival;
	
PUBLIC	
	DECL_INIT(IntLink)(int);
	DECL_DEST(IntLink)(void);
	
	void showval(void);
    int compare(char *);
};

#endif
